## GOFontSel

GOFontSel

## Synopsis

                        GOFontSel;
    void                go_font_sel_editable_enters         (GOFontSel *fs,
                                                             GtkWindow *dialog);
    GOFont const *      go_font_sel_get_font                (GOFontSel const *fs);
    GtkWidget *         go_font_sel_new                     (void);
    void                go_font_sel_set_font                (GOFontSel *fs,
                                                             GOFont const *font);
    void                go_font_sel_set_sample_text         (GOFontSel *fs,
                                                             char const *text);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkGrid
                               +----GOFontSel

## Implemented Interfaces

GOFontSel implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Signals

      "font-changed"                                   : Run Last

## Description

## Details

### GOFontSel

    typedef struct _GOFontSel GOFontSel;

### go_font_sel_editable_enters ()

    void                go_font_sel_editable_enters         (GOFontSel *fs,
                                                             GtkWindow *dialog);

### go_font_sel_get_font ()

    GOFont const *      go_font_sel_get_font                (GOFontSel const *fs);

### go_font_sel_new ()

    GtkWidget *         go_font_sel_new                     (void);

### go_font_sel_set_font ()

    void                go_font_sel_set_font                (GOFontSel *fs,
                                                             GOFont const *font);

### go_font_sel_set_sample_text ()

    void                go_font_sel_set_sample_text         (GOFontSel *fs,
                                                             char const *text);

## Signal Details

### The `"font-changed"` signal

    void                user_function                      (GOFontSel *gofontsel,
                                                            gpointer   arg1,
                                                            gpointer   user_data)      : Run Last

`gofontsel` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.